Bug 833121 - [abrt] claws-mail-3.8.0-3.fc17: _asn1_add_node_only: Process /usr/bin/claws-mail was killed by signal 11 (SIGSEGV)
[abrt] claws-mail-3.8.0-3.fc17: _asn1_add_node_only: Process /usr/bin/claws-m...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: claws-mail (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
abrt_hash:ad936d983e7443e8e5dab34b64c...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 12:12 EDT by Andrey V. Henneberg
Modified: 2013-07-31 14:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 14:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (13.74 KB, text/plain)
2012-06-18 12:12 EDT, Andrey V. Henneberg
no flags Details
File: xsession_errors (3.49 KB, text/plain)
2012-06-18 12:12 EDT, Andrey V. Henneberg
no flags Details
File: maps (42.28 KB, text/plain)
2012-06-18 12:12 EDT, Andrey V. Henneberg
no flags Details
File: backtrace (77.10 KB, text/plain)
2012-06-18 12:12 EDT, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2012-06-18 12:12:45 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        claws-mail
crash_function: _asn1_add_node_only
executable:     /usr/bin/claws-mail
kernel:         3.4.0-1.fc17.i686
pid:            1205
pwd:            /home/andrey
time:           Пн. 18 июня 2012 22:50:09
uid:            1000
username:       andrey

backtrace:      Text file, 78955 bytes
dso_list:       Text file, 14067 bytes
maps:           Text file, 43295 bytes
xsession_errors: Binary file, 3574 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/andrey/2

core_backtrace:
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x74cdf _int_malloc libc.so.6 -
:f13e5fa699a7129ee3080ddeb31558ef7578cddb 0x7872b calloc libc.so.6 -
:871f20768b677cb3e1bff7cb6a3e271ea889c003 0xb124 - libtasn1.so.3 -
:871f20768b677cb3e1bff7cb6a3e271ea889c003 0xb905 - libtasn1.so.3 -
:871f20768b677cb3e1bff7cb6a3e271ea889c003 0x3415 asn1_der_coding libtasn1.so.3 -
:cc9115bc35ddf6c3c933a5751cae695f3579bddf 0x532ed - libgnutls.so.26 -
:cc9115bc35ddf6c3c933a5751cae695f3579bddf 0x53536 - libgnutls.so.26 -
:cc9115bc35ddf6c3c933a5751cae695f3579bddf 0x7bb04 gnutls_x509_crt_export libgnutls.so.26 -
:440e2252a87f5464b95e083311926013e364dabb 0x1ffb8c - [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0x1ffe19 ssl_certificate_find [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0x200447 ssl_certificate_check [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0x1eb731 - [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0x1ed569 imap_threaded_connect_ssl [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0xd7bd6 - [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0xd9918 - [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0xce2df folderview_check_new [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0xebd69 inc_all_account_mail [exe] -
:440e2252a87f5464b95e083311926013e364dabb 0xebf1a - [exe] -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47ce0 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x477f3 g_main_loop_run libglib-2.0.so.0 -
:dfca316b9fbab4f1a60def2d0c38b1357f2b6d82 0x14dac0 gtk_main libgtk-x11-2.0.so.0 -
:440e2252a87f5464b95e083311926013e364dabb 0x3e31b main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1162
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/andrey/.gnupg/S.gpg-agent:1185:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=43053703aa5cfc9eb2cdd04100000011-1340031554.306746-1255431804
:GNOME_KEYRING_CONTROL=/run/user/andrey/keyring-txKhTH
:QT_GRAPHICSSYSTEM_CHECKED=1
:'IMSETTINGS_MODULE=X compose table'
:USER=andrey
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-UsngAMnc1011/agent.1011
:USERNAME=andrey
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/andrey
:DESKTOP_SESSION=xfce
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/andrey/.local/bin:/home/andrey/bin
:QT_IM_MODULE=xim
:PWD=/home/andrey
:XMODIFIERS=@im=none
:LANG=ru_RU.UTF-8
:GNOME_KEYRING_PID=1009
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/andrey
:XDG_SEAT=seat0
:LOGNAME=andrey
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Cp70c5AMIF,guid=40f2cb40e22ce158825f005300000027
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/andrey
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-andrey-h5nStC/database
:_=/usr/bin/xfce4-session
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1194,unix/unix:/tmp/.ICE-unix/1194

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 15924                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       15924                15924                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/andrey/.xsession-errors
:2:/home/andrey/.xsession-errors
:3:/dev/urandom
:4:socket:[22985]
:5:socket:[23661]
:6:anon_inode:[eventfd]
:7:socket:[23662]
:8:socket:[21421]
:9:/home/andrey/.claws-mail/claws.log
:10:/home/andrey/.claws-mail/filtering.log
:11:socket:[23725]
:12:anon_inode:inotify
:13:pipe:[23088]
:14:pipe:[23088]
:15:pipe:[23089]
:16:pipe:[23089]
:17:socket:[22353]
:18:socket:[223496]
:19:pipe:[221768]
:20:pipe:[221768]
:21:/home/andrey/.claws-mail/certs/imap.gmail.com.993.cert

var_log_messages:
:Jun 18 22:50:09 localhost kernel: [ 3094.241391] claws-mail[1205]: segfault at 8 ip 4d32bcdf sp bfe27510 error 4 in libc-2.15.so[4d2b7000+1a8000]
:Jun 18 22:50:10 localhost abrt[3001]: Saved core dump of pid 1205 (/usr/bin/claws-mail) to /var/spool/abrt/ccpp-2012-06-18-22:50:09-1205 (26828800 bytes)
Comment 1 Andrey V. Henneberg 2012-06-18 12:12:50 EDT
Created attachment 592698 [details]
File: dso_list
Comment 2 Andrey V. Henneberg 2012-06-18 12:12:52 EDT
Created attachment 592699 [details]
File: xsession_errors
Comment 3 Andrey V. Henneberg 2012-06-18 12:12:55 EDT
Created attachment 592700 [details]
File: maps
Comment 4 Andrey V. Henneberg 2012-06-18 12:12:58 EDT
Created attachment 592701 [details]
File: backtrace
Comment 5 Michael Schwendt 2012-06-18 14:56:36 EDT
You are supposed to give a little bit of context. At least you should have mentioned whether it happens reproducibly.

Assumably, it is not reproducible, and (also based on the code path in the backtrace) just one of the old rare malloc crashes due to instabilities in IMAP access.


#0  0x4d32bcdf in _int_malloc (av=0x4d461420, bytes=bytes@entry=44) at malloc.c:3811
#1  0x4d32f72b in __libc_calloc (n=n@entry=1, elem_size=elem_size@entry=44) at malloc.c:3284
#2  0x4f294124 in _asn1_add_node_only
#3  0x4f294905 in _asn1_copy_structure3
#4  0x4f28c415 in asn1_der_coding
#5  0x4f2f02ed in _gnutls_x509_export_int_named 
#6  0x4f2f0536 in _gnutls_x509_export_int
#7  0x4f318b04 in gnutls_x509_crt_export
#8  0x08242b8c in x509_crt_copy
#9  ssl_certificate_new
#10 0x08242e19 in ssl_certificate_find (host=host@entry=0x9a9f678 "imap.gmail.com", port=port@entry=993, fingerprint=0x9c91a00 "93:2E:0F:BA:58:EA:CD:CB:04:33:97:9D:23:2A:0A:77") at ssl_certificate.c:392
        file = 0x9fa2518 "/home/andrey/.claws-mail/certs/imap.gmail.com.993.cert"
        buf = 0x9fb3000 "993"
        cert = 0x0
        tmp_x509 = <optimized out>
        fp = 0x9fc1980
        must_rename = 0
#11 0x08243447 in ssl_certificate_check
#12 0x0822e731 in etpan_certificate_check
#13 0x08230569 in imap_threaded_connect_ssl
#14 0x0811abd6 in imap_session_new (account=0x9a9f420, folder=0x9aab710) at imap.c:1088
#15 imap_session_get (folder=folder@entry=0x9aab710) at imap.c:980
#16 0x0811c918 in imap_scan_required (folder=0x9aab710, _item=0x9ab8200) at imap.c:4276
#17 0x081112df in folderview_check_new (folder=0x9aab710) at folderview.c:1193
Comment 6 Fedora End Of Life 2013-07-03 15:41:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 14:30:12 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.